%define api_version 1.6
%define major 1
%define libname %mklibname %{name} %{api_version} %{major}
%define libnamedev %mklibname -d %{name} %{api_version}
%define libnamestaticdev %mklibname -d -s %{name} %{api_version}
%define gtkmmapi 2.4
%define gtkmmlibname %mklibname gtkmm %gtkmmapi %major
%define gtkmmlibnamedev %mklibname -d gtkmm %gtkmmapi
%define gtkmmlibnamestaticdev %mklibname -s -d %gtkmm %gtkmmapi

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		atkmm
Summary:	C++ interface for accessibility library Atk
Version:	2.22.6
Release:	%mkrel 1
#gw lib is LGPL, tool is GPL
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(atk) >= 1.12
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.24

%description
Atkmm provides a C++ interface to the Atk accessibility library.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.


%package	-n %{libname}
Summary:	C++ interface for accessibility library Atk
Group:		System/Libraries
Provides:	%{name}%{api_version} = %{version}-%{release}
Conflicts:	%gtkmmlibname < 2.21

%description	-n %{libname}
Atkmm provides a C++ interface to the Atk accessibility library.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{name}.


%package	-n %{libnamedev}
Summary:	Headers and development files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Conflicts:	%gtkmmlibnamedev < 2.21

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%package	doc
Summary:	Atkmm documentation
Group:		Books/Other
BuildArch:	noarch

%description	doc
Atkmm provides a C++ interface to the Atk accessibility library. 

Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for Atkmm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --disable-static --enable-shared
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/libatkmm-%{api_version}.so.%{major}*

%files -n %{libnamedev}
%doc ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%_libdir/atkmm-%api_version

%files doc
%doc %{_datadir}/doc/atkmm-%{api_version}
%doc %{_datadir}/devhelp/books/*


%changelog

* Fri Oct 28 2011 fwang <fwang> 2.22.6-1.mga2
+ Revision: 158990
- new version 2.22.6
- do not ship .la files

* Mon Jun 13 2011 cjw <cjw> 2.22.5-4.mga2
+ Revision: 105792
- only remove libtool libraries when they are not referenced anywhere else

* Thu Jun 09 2011 dmorgan <dmorgan> 2.22.5-3.mga2
+ Revision: 102439
- Disable static
  Remove .la files

* Fri Apr 15 2011 ahmad <ahmad> 2.22.5-1.mga1
+ Revision: 85601
- Update to 2.22.5

* Thu Jan 13 2011 ahmad <ahmad> 2.22.2-2.mga1
+ Revision: 8809
- drop old/unneeded scriptlets
- imported package atkmm

